<!DOCTYPE html>

<!-- Les icones du dashboard (fa-dolly etc) sont récuperer sur le site --!>
<!-- https://fontawesome.com/icons?d=gallery. Toutes les classes ne se trouvant!>
<!-- pas dans style.css sont dans le bootstrap :!>
<!-- https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0-2/css/all.min.css--!>
<html lang="fr" dir="ltr">
<head>
    <meta charset="utf-8">
    <title>{{ title }}</title>
    <link rel="stylesheet"
          href="{{ url_for('static', filename= 'css/style.css') }}">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0-2/css/all.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js"
            charset="utf-8"></script>
</head>
<body>

<!--wrapper start-->
<div class="wrapper">
    <!--header menu start-->
    <div class="header">
        <div class="header-menu">
            <div class="title">{{ boutonstitres.namedb1 }}<span>{{ boutonstitres.namedb2 }}</span>
            </div>
        </div>
    </div>
    <!--header menu end-->
    <!--sidebar start-->
    <div class="sidebar">
        <div class="sidebar-menu">
            <li class="item">
                <a href={{ url_for("accueil") }} class="menu-btn">
                    <i class="fas fa-home"></i><span>{{ boutonstitres.bouton1 }}</span>
                </a>
            </li>
            <li class="item" id="settings">
                <a class="menu-btn">
                    <i class="fas fa-user"></i><span>{{ boutonstitres.soustitre4 }} &nbsp {{ session['user']['username'] if session['user'] }}</span>
                </a>
                <div class="sub-menu">
                    {% if session['user'] %}
                        {% if session['user']['role'] == 0 %}
                            <a href="{{ url_for('administrateur') }}"
                               class="btn btn-sm">Administration</a>
                        {% endif %}
                    {% endif %}
                    {% if session['user'] %}
                        <a href="{{ url_for('logout') }}" class="btn btn-sm">Deconnexion</a>
                    {% else %}
                        <a href="{{ url_for('login') }}" class="btn btn-sm">Connexion</a>
                        <a href="{{ url_for('inscription') }}"
                           class="btn btn-sm">Inscription</a>
                    {% endif %}
                </div>
            </li>
            <div class="item">
                <a class="menu-btn">
                    <i class="fas fa-chart-bar"></i><span>{{ boutonstitres.soustitre1 }}</span>
                </a>
                <div class="sub-menu">
                    {% for key, value in graphiques.items() %}
                        <a href= {{ value }}>{{ value }}</a>
                    {% endfor %}
                </div>
            </div>
            <li class="item" id="settings">
                <a class="menu-btn">
                    <i class="fas fa-carrot"></i><span>{{ boutonstitres.soustitre2 }}</i></span>
                </a>
                <div class="sub-menu">
                    {% for key, value in fonctionnalites.items() %}
                        <a href= {{ value }}>{{ value }}</a>
                    {% endfor %}
                </div>
            </li>
            <li class="item" id="settings">
                <a class="menu-btn">
                    <i class="fas fa-book"></i><span>{{ boutonstitres.soustitre3 }}</span>
                </a>
                <div class="sub-menu">
                    <a href="#"><span>Les carences</span></a>
                    <a href="#"><span>Les fruits et légumes bio</span></a>
                </div>
            </li>
            <li class="item">
                <a href="#" class="menu-btn">
                    <i class="fas fa-info-circle"></i><span>About</span>
                </a>
            </li>
        </div>
    </div>
    <!--sidebar end-->

</div>
<!--wrapper end-->
<section class="navbar-section">
    <i class="icon icon-people"></i>&nbsp {{ session['user']['username'] if session['user'] else 'invité' }}
    {% if session['user'] %}
        <a href="{{ url_for('logout') }}" class="btn btn-sm">logout</a>&nbsp
    {% else %}
        <a href="{{ url_for('login') }}" class="btn btn-sm">Login</a>&nbsp
        <a href="{{ url_for('inscription') }}"
           class="btn btn-sm">Inscription</a>&nbsp
    {% endif %}
</section>
</body>
</html>
